Package org.eclipse.net4j.util.om

## Class OSGiActivator

- java.lang.Object
- - org.eclipse.net4j.util.om.OSGiActivator

- All Implemented Interfaces:
    `org.osgi.framework.BundleActivator`
  Direct Known Subclasses:
    `OSGiActivator.WithState`

      public abstract class OSGiActivator
      extends java.lang.Object
      implements org.osgi.framework.BundleActivator

  A default implementation of an OSGi `bundle activator` for OM `bundles`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `OSGiActivator.StateHandler` | Saves and loads `bundle` state.
    `static class` | `OSGiActivator.WithState` | An OSGi `activator` that stores `bundle state` between sessions.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.osgi.framework.BundleContext` | `bundleContext` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OSGiActivator​(OMBundle omBundle)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Object` | `clone()` |
    `protected void` | `doStart()` |
    `protected void` | `doStop()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `OMBundle` | `getOMBundle()` |
    `int` | `hashCode()` |
    `static void` | `start​(OMBundle bundle)` |
    `void` | `start​(org.osgi.framework.BundleContext context)` |
    `static void` | `stop​(OMBundle bundle)` |
    `void` | `stop​(org.osgi.framework.BundleContext context)` |
    `java.lang.String` | `toString()` |
    `static void` | `traceStart​(org.osgi.framework.BundleContext context)` |
    `static void` | `traceStop​(org.osgi.framework.BundleContext context)` |

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### bundleContext

          protected org.osgi.framework.BundleContext bundleContext

      Since:
        2.0

  - ### Constructor Detail

    - #### OSGiActivator

          public OSGiActivator​(OMBundle omBundle)

  - ### Method Detail

    - #### getOMBundle

          public final OMBundle getOMBundle()

    - #### start

          public final void start​(org.osgi.framework.BundleContext context)
                           throws java.lang.Exception

      Specified by:
        `start` in interface `org.osgi.framework.BundleActivator`
      Throws:
        `java.lang.Exception`

    - #### stop

          public final void stop​(org.osgi.framework.BundleContext context)
                          throws java.lang.Exception

      Specified by:
        `stop` in interface `org.osgi.framework.BundleActivator`
      Throws:
        `java.lang.Exception`

    - #### equals

          public final boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### clone

          protected final java.lang.Object clone()
                                          throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### doStart

          protected void doStart()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`
      Since:
        2.0

    - #### doStop

          protected void doStop()
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`
      Since:
        2.0

    - #### start

          public static void start​(OMBundle bundle)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`
      Since:
        3.3

    - #### stop

          public static void stop​(OMBundle bundle)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`
      Since:
        3.3

    - #### traceStart

          public static void traceStart​(org.osgi.framework.BundleContext context)

      Since:
        2.0

    - #### traceStop

          public static void traceStop​(org.osgi.framework.BundleContext context)

      Since:
        2.0